### Method

# GUPnP DeviceInfo list_devices

#### Declaration [src]

    GList*
    gupnp_device_info_list_devices (
      GUPnPDeviceInfo* info
    )

#### Description [src]

Get a `GList` of new objects implementing `GUPnPDeviceInfo` representing the devices directly contained in `info`, excluding itself.

Note that devices are not cached internally, so that every time you call this function new objects are created. The application must cache any used devices if it wishes to keep them around and re-use them.

#### Return value

Type: A list of `None`

A `GList` of new `GUPnPDeviceInfo` objects or `NULL` if no devices are.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.